package com.eactive.eai.rms.onl.common.service;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/** 

* @author  : 
* @version : v 1.0.0
* @see : Thread pool Singleton
* @since   : 
*/
public class AdapterChangeThreadPool 
{

	private static AdapterChangeThreadPool instance =  new AdapterChangeThreadPool();
    
    /**
     * 기동 여부
     */
	//private boolean started;
    private static ExecutorService executor  = Executors.newFixedThreadPool(10);;
    
    /** 
    * 1. 기능 :  Default Constructor
    * 2. 처리 개요 : 
    * 3. 주의사항 
    **/
    private AdapterChangeThreadPool() {

    }
 
    public static AdapterChangeThreadPool getInstance() {
        return instance;   
    }
  
    public ExecutorService getExecutor(){
    	return executor;
    }
    public static void destroy(){
    	instance = null;
    	executor.shutdownNow();
    }

} 
